Bug 1328628 - rhel-x86_64-server-7-ost-7 channel maps are absent from channel-cert-mapping.txt
Summary: rhel-x86_64-server-7-ost-7 channel maps are absent from channel-cert-mapping.txt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager-migration-data
Version: 7.3
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-19 22:33 UTC by John Sefler
Modified: 2016-11-03 20:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:28:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description John Sefler 2016-04-19 22:33:52 UTC
Description of problem:

RHN Classic channel 'rhel-x86_64-server-7-ost-7' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-x86_64-server-7-ost-7-debuginfo' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-x86_64-server-7-ost-7-optools' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-x86_64-server-7-ost-7-optools-debuginfo' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-x86_64-server-7-ost-7-director' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-x86_64-server-7-ost-7-director-debuginfo' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>



Version-Release number of selected component (if applicable):
[root@jsefler-7 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.24-1.el7.noarch

How reproducible:


Steps to Reproduce:
[root@jsefler-7 ~]# grep "rhel-x86_64-server-7-ost-7" /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
[root@jsefler-7 ~]# 


Actual results:
  above (no hits)

Expected results:
  expected the grep to find channel maps to product ID 191 for:
rhel-x86_64-server-7-ost-7
rhel-x86_64-server-7-ost-7-debuginfo
rhel-x86_64-server-7-ost-7-optools
rhel-x86_64-server-7-ost-7-optools-debuginfo
rhel-x86_64-server-7-ost-7-director
rhel-x86_64-server-7-ost-7-director-debuginfo



Additional info:

Comment 2 Shwetha Kallesh 2016-05-02 07:54:33 UTC
Marking verified!!

[root@dhcp35-31 ~]# rpm -qa | grep migration-data
subscription-manager-migration-data-2.0.28-1.el7.noarch


[root@dhcp35-31 ~]# grep "rhel-x86_64-server-7-ost-7" /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt

rhel-x86_64-server-7-ost-7: OpenStack-7.0-Operational-Tools-x86_64-5dc9c350a15b-191.pem
rhel-x86_64-server-7-ost-7-debuginfo: OpenStack-7.0-Operational-Tools-x86_64-5dc9c350a15b-191.pem
rhel-x86_64-server-7-ost-7-director: OpenStack-7.0-Operational-Tools-x86_64-5dc9c350a15b-191.pem
rhel-x86_64-server-7-ost-7-director-debuginfo: OpenStack-7.0-Operational-Tools-x86_64-5dc9c350a15b-191.pem
rhel-x86_64-server-7-ost-7-optools: OpenStack-7.0-Operational-Tools-x86_64-5dc9c350a15b-191.pem
rhel-x86_64-server-7-ost-7-optools-debuginfo: OpenStack-7.0-Operational-Tools-x86_64-5dc9c350a15b-191.pem

Comment 4 errata-xmlrpc 2016-11-03 20:28:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.